/* Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */

package org.dive4elements.river.artifacts.sinfo.flowdepth;

import java.util.HashSet;
import java.util.Set;

public final class TkhProcessor extends AbstractSInfoProcessor {

    static String FACET_TKH = "sinfo_flow_depth.tkh";

    private static final Set<String> HANDLED_FACET_TYPES = new HashSet<>();

    static {
        HANDLED_FACET_TYPES.add(FACET_TKH);
    }

    private static final String I18N_AXIS_LABEL = "sinfo.chart.tkh.section.yaxis.label";

    public TkhProcessor() {
        super(I18N_AXIS_LABEL, HANDLED_FACET_TYPES);
    }

    @Override
    protected double[][] generatePoints(final FlowDepthCalculationResult data, final String facetName) {
        if (FACET_TKH.contentEquals(facetName))
            return data.getTkhPoints();

        return super.generatePoints(data, facetName);
    }
}